> ## Documentation Index
> Fetch the complete documentation index at: https://padelapi.org/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Tournament

> Endpoint to retrieve detailed information about a specific tournament including dates, location, level, and related matches and videos.

Merged tournaments return a `302` redirect to the canonical resource — see the [Data Synchronization guide](https://padelapi.org/docs/guides/data-synchronization#tournaments) for handling redirects.



## OpenAPI

````yaml https://padelapi.org/docs/api.json get /tournaments/{tournament}
openapi: 3.1.0
info:
  title: Padel API – API Reference
  version: '1.0'
  description: padelapi.org
servers:
  - url: https://padelapi.org/api
security:
  - http: []
paths:
  /tournaments/{tournament}:
    get:
      tags:
        - Tournament
      summary: Show Tournament
      description: >-
        Endpoint to retrieve detailed information about a specific tournament
        including dates, location, level, and related matches and videos.


        Merged tournaments return a `302` redirect to the canonical resource —
        see the [Data Synchronization
        guide](https://padelapi.org/docs/guides/data-synchronization#tournaments)
        for handling redirects.
      operationId: getTournament
      parameters:
        - name: tournament
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: '`TournamentResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TournamentResource'
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    TournamentResource:
      type: object
      properties:
        id:
          type: integer
        self:
          type: string
        name:
          type: string
        url:
          type:
            - string
            - 'null'
        location:
          type: string
        venue:
          type:
            - object
            - 'null'
          properties:
            name:
              type:
                - string
                - 'null'
            address:
              type:
                - string
                - 'null'
          required:
            - name
            - address
        country:
          type: string
        timezone:
          type: string
        level:
          type: string
        status:
          type: string
        court_type:
          anyOf:
            - type: 'null'
            - type: string
              enum:
                - indoor
                - outdoor
                - covered
        prize:
          type:
            - object
            - 'null'
          properties:
            amount:
              type: integer
            currency:
              type: string
          required:
            - amount
            - currency
        start_date:
          type: string
        end_date:
          type: string
        winners:
          type:
            - object
            - 'null'
          additionalProperties:
            $ref: '#/components/schemas/MatchPairResource'
        links:
          type: string
        updated_at:
          type: string
        connections:
          type: string
      required:
        - id
        - self
        - name
        - url
        - location
        - venue
        - country
        - timezone
        - level
        - status
        - court_type
        - prize
        - start_date
        - end_date
        - winners
        - links
        - updated_at
        - connections
      title: TournamentResource
    MatchPairResource:
      type: array
      prefixItems:
        - type: object
          properties:
            id:
              type: integer
            self:
              type: string
            name:
              type: string
            side:
              anyOf:
                - type: 'null'
                - type: string
                  enum:
                    - drive
                    - backhand
            connections:
              type: string
          required:
            - id
            - self
            - name
            - side
            - connections
      minItems: 1
      maxItems: 1
      additionalItems: false
      title: MatchPairResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````